## org.eclipse.emf.importer
Class ModelImporterApplication

    java.lang.Object
      org.eclipse.emf.importer.ModelImporterApplication

All Implemented Interfaces:
  IApplication

Direct Known Subclasses:
  EcoreImporterApplication, JavaImporterApplication, RoseImporterApplication

    public abstract class ModelImporterApplication

extends java.lang.Object
implements IApplication

Since:
  2.1.0

Field Summary
`protected java.lang.String` `copyright`
`protected IPath` `editFragmentPath`
`protected IPath` `editorFragmentPath`
`protected IPath` `editorProjectLocationPath`
`protected IPath` `editProjectLocationPath`
`protected GenJDKLevel` `genJDKLevel`
`protected IPath` `genModelFullPath`
`protected IPath` `modelFragmentPath`
`protected ModelImporter` `modelImporter`
`protected java.lang.String` `modelLocations`
`protected java.lang.String` `modelPluginID`
`protected IPath` `modelProjectLocationPath`
`protected static java.lang.String` `NL`
`protected boolean` `quiet`
`protected java.util.List<EPackage>` `referencedEPackages`
`protected java.util.Map<URI,java.util.Set<java.lang.String>>` `referencedGenModelURIToEPackageNSURIs`
`protected boolean` `reload`
`protected boolean` `sdo`
`protected java.lang.String` `templatePath`
`protected IPath` `testsFragmentPath`
`protected IPath` `testsProjectLocationPath`
`protected java.lang.String` `validateModel`

Fields inherited from interface org.eclipse.equinox.app.IApplication
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`ModelImporterApplication()`

Method Summary
`protected void` `adjustAttributes(Monitor monitor)`
`protected void` `adjustEPackages(Monitor monitor)`
`protected void` `adjustGenModel(Monitor monitor)`
`protected void` `adjustModelImporter(Monitor monitor)`
`protected void` `adjustModelImporterAfterPrepare()`
`protected java.lang.StringBuffer` `appendLine(java.lang.StringBuffer buffer, java.lang.String line)`
`protected void` `computeEPackages(Monitor monitor)`
`protected abstract ModelImporter` `createModelImporter()`
`protected void` `doExecute(Monitor monitor)`
`void` `execute(Monitor monitor)`
`ModelImporter` `getModelImporter()`
`protected IProgressMonitor` `getProgressMonitor()`
`protected abstract java.lang.StringBuffer` `getUsage()`
`protected void` `handleEPackage(EPackage ePackage, boolean generate)`
`protected void` `handleGenModelPath(IPath genModelFullPath)`
`protected void` `handleQualifiedEPackageName(EPackage ePackage)`
`protected void` `handleReferencedEPackages()` Handles the referencedEPackages contributed by the -refPackage argument option.
`protected void` `handleUnrecognizedArgument(java.lang.String argument)`
`void` `printUsage()`
`protected int` `processArgument(java.lang.String[] arguments, int index)`
`protected void` `processArguments(java.lang.String[] arguments, int index)`
`protected int` `processModelAndGenModelLocationArguments(java.lang.String[] arguments, int index)`
`protected int` `processModelProjectArguments(java.lang.String[] arguments, int index)`
`void` `run(IProgressMonitor progressMonitor, java.lang.String[] arguments)`
`void` `run(Monitor monitor, java.lang.String[] arguments)`
`java.lang.Object` `run(java.lang.Object args)`
`protected void` `setSDODefaults(GenModel genModel)`
`java.lang.Object` `start(IApplicationContext context)`
`void` `stop()`
`protected boolean` `usePlatformURI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelImporter

    protected ModelImporter modelImporter

### modelLocations

    protected java.lang.String modelLocations

### genModelFullPath

    protected IPath genModelFullPath

### reload

    protected boolean reload

### modelProjectLocationPath

    protected IPath modelProjectLocationPath

### modelFragmentPath

    protected IPath modelFragmentPath

### editProjectLocationPath

    protected IPath editProjectLocationPath

### editFragmentPath

    protected IPath editFragmentPath

### editorProjectLocationPath

    protected IPath editorProjectLocationPath

### editorFragmentPath

    protected IPath editorFragmentPath

### testsProjectLocationPath

    protected IPath testsProjectLocationPath

### testsFragmentPath

    protected IPath testsFragmentPath

### templatePath

    protected java.lang.String templatePath

### copyright

    protected java.lang.String copyright

### sdo

    protected boolean sdo

### modelPluginID

    protected java.lang.String modelPluginID

### validateModel

    protected java.lang.String validateModel

### genJDKLevel

    protected GenJDKLevel genJDKLevel

### referencedEPackages

    protected java.util.List<EPackage> referencedEPackages

### referencedGenModelURIToEPackageNSURIs

    protected java.util.Map<URI,java.util.Set<java.lang.String>> referencedGenModelURIToEPackageNSURIs

### quiet

    protected boolean quiet

### NL

    protected static final java.lang.String NL

Constructor Detail

### ModelImporterApplication

    public ModelImporterApplication()

Method Detail

### getModelImporter

    public ModelImporter getModelImporter()

### createModelImporter

    protected abstract ModelImporter createModelImporter()

### start

    public java.lang.Object start(IApplicationContext context)
                           throws java.lang.Exception

  Specified by:
    `start` in interface `IApplication`
  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `IApplication`

### run

    public java.lang.Object run(java.lang.Object args)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getProgressMonitor

    protected IProgressMonitor getProgressMonitor()

### run

    public void run(IProgressMonitor progressMonitor,
                    java.lang.String[] arguments)
             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    public void run(Monitor monitor,
                    java.lang.String[] arguments)
             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### printUsage

    public void printUsage()

### getUsage

    protected abstract java.lang.StringBuffer getUsage()

### appendLine

    protected java.lang.StringBuffer appendLine(java.lang.StringBuffer buffer,
                                                java.lang.String line)

### execute

    public void execute(Monitor monitor)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### processArguments

    protected void processArguments(java.lang.String[] arguments,
                                    int index)

### processModelAndGenModelLocationArguments

    protected int processModelAndGenModelLocationArguments(java.lang.String[] arguments,
                                                           int index)

### processModelProjectArguments

    protected int processModelProjectArguments(java.lang.String[] arguments,
                                               int index)

### processArgument

    protected int processArgument(java.lang.String[] arguments,
                                  int index)

### handleUnrecognizedArgument

    protected void handleUnrecognizedArgument(java.lang.String argument)

### adjustAttributes

    protected void adjustAttributes(Monitor monitor)

### usePlatformURI

    protected boolean usePlatformURI()

### adjustModelImporter

    protected void adjustModelImporter(Monitor monitor)

### handleGenModelPath

    protected void handleGenModelPath(IPath genModelFullPath)

### computeEPackages

    protected final void computeEPackages(Monitor monitor)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### adjustEPackages

    protected void adjustEPackages(Monitor monitor)

### handleQualifiedEPackageName

    protected void handleQualifiedEPackageName(EPackage ePackage)

### handleEPackage

    protected void handleEPackage(EPackage ePackage,
                                  boolean generate)

### adjustGenModel

    protected void adjustGenModel(Monitor monitor)

### setSDODefaults

    protected void setSDODefaults(GenModel genModel)

### doExecute

    protected void doExecute(Monitor monitor)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### adjustModelImporterAfterPrepare

    protected void adjustModelImporterAfterPrepare()

### handleReferencedEPackages

    protected void handleReferencedEPackages()

  Handles the referencedEPackages contributed by the -refPackage argument option.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.